#include "fe_main.hpp"

#if defined(WIN32) && defined(_DEBUG)
	_CrtMemState s1;
#endif

/**************************************************************************
 *	Copyright (C) 2004  iCapsid.net
 *
 * 	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, 
 *	Boston, MA  02111-1307, USA.
 *
 ****************************************************************************/

//#include "platform/osx/bu_util.h"

int main(int argc, char **argv) 
{  

#if defined(WIN32) && defined(_DEBUG)
LARGE_INTEGER Freq1;
LARGE_INTEGER Freq2;
LARGE_INTEGER Total;
QueryPerformanceCounter(&Freq1);
#endif // _DEBUG

	FeMain* feMain = new FeMain();

//	initBundle();
//	getBundlePath();

	if(argc > 1)
                feMain->init(argv[1]);	
	else
		feMain->init(FE_DATA_FILE(nmap-test.xml));
		//feMain->init("data/""nmap-test.xml");
// here it should be like:
// feMain->run();

#if defined(WIN32) && defined(_DEBUG)
QueryPerformanceCounter(&Freq2);
Total.QuadPart = Freq2.QuadPart - Freq1.QuadPart;
cout<<"main() Total: "<<Total.QuadPart<<endl;
#endif // _DEBUG

	delete feMain;

// Check for memory leaks;
#if defined(WIN32) && defined(_DEBUG)
	_CrtDumpMemoryLeaks();
	_CrtMemDumpStatistics( &s1 );
#endif

	return 0;
}






